This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 769822 (CVE-2011-4623)

Summary: CVE-2011-4623 rsyslog: DoS due integer signedness error while extending rsyslog counted string buffer
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: security-response-team, theinric, wnefal+redhatbugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20110209,reported=20111222,source=redhat,cvss2=5.4/AV:A/AC:M/Au:N/C:P/I:P/A:P,rhel-5/rsyslog=notaffected,rhel-6/rsyslog=affected,fedora-all/rsyslog=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-21 00:01:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 769025    
Bug Blocks: 784298    

Description Jan Lieskovsky 2011-12-22 07:09:52 EST
An integer signedness error, leading to heap based buffer overflow was found in the way the imfile module of rsyslog, an enhanced system logging and kernel message trapping daemon, processed text files larger than 64 KB. When the imfile rsyslog module was enabled, a local attacker could use this flaw to cause denial of service (rsyslogd daemon hang) via specially-crafted message, to be logged.

Upstream bug report:
[1] http://bugzilla.adiscon.com/show_bug.cgi?id=221

Upstream patch:
[2] http://git.adiscon.com/?p=rsyslog.git;a=commit;h=6bad782f154b7f838c7371bf99c13f6dc4ec4101
Comment 1 Jan Lieskovsky 2011-12-22 07:13:12 EST
This issue did NOT affect the version of rsyslog package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the rsyslog package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did NOT affect the versions of the rsyslog package, as shipped with Fedora release of 15 and 16.
Comment 2 Jan Lieskovsky 2011-12-22 07:22:40 EST
CVE request:
[3] http://www.openwall.com/lists/oss-security/2011/12/22/1
Comment 3 Kurt Seifried 2011-12-22 10:58:13 EST
Please use CVE-2011-4623 for this issue as per http://www.openwall.com/lists/oss-security/2011/12/22/2
Comment 5 errata-xmlrpc 2012-06-20 02:58:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0796 https://rhn.redhat.com/errata/RHSA-2012-0796.html
Comment 7 Huzaifa S. Sidhpurwala 2012-06-21 00:01:03 EDT
Statement:

(none)